GNUNET-TESTING-RUN-SERVICE(1)

NAME
gnunet-testing-run-service - Command line tool to start a service for testing.

SYNOPSIS
gnunet-testing-run-service [options]

DESCRIPTION
gnunet-testing-run-service is a command line tool to start a service for testing. It starts a peer, running only the service specified on the command line, outputs the path to the temporary configuration file to stdout. The peer will run until this program is killed, or stdin is closed. When reading the character 'r' from stdin, the running service is restarted with the same configuration. This executable is intended to be used by gnunet-java, in order to reliably start and stop services for test cases.

OPTIONS

-c FILENAME,  --config=FILENAME
    Name of the template configuration file to use (optional).

-h, --help
    Print short help on options.

-s SERVICE, --service=SERVICE
    Name of the service to run.

BUGS
Report bugs by using Mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>